% This function transforms the raw state-level data into a 3rd order tensor
% 
% See:
% Chan, J.C.C. and Qi, Y. (2025). Large Bayesian Matrix Autoregressions, 
% Journal of Econometrics, forthcoming

function [data,regionID,tID] = CleanData6q(filename)
rawdata = readmatrix(filename);
tID = rawdata(1,3:end)';
T = length(tID);
data = zeros(6,50,T);
count = 1;
for ii = 1:6
    if ismember(ii,[1,2,5])
        regionID = rawdata(count+1:count+51,2);
        data_t = log(rawdata(count+1:count+51,3:end));
    else
        data_t = rawdata(count+1:count+51,3:end);
    end
    data(ii,:,:) = data_t([1:8,10:51],:); % exclude D.C.
    count = count + 53;
end
data = data(:,:,5:end);
tID = tID(5:end);
end