% This function convert (Z_1,Z_2,...,Z_T) to (Z_1',Z_2',...,Z_T')
%
% See:
% Chan, J.C.C. and Qi, Y. (2025). Large Bayesian Matrix Autoregressions, 
% Journal of Econometrics, forthcoming

function Zr = Zc2Zr(Zc,r)
[c,rT] = size(Zc);
T = rT/r;
Z = reshape(Zc,[c,r,T]);
Z = permute(Z,[2,1,3]);
Zr = reshape(Z,r,c*T);
end
    