% This function evaluates the "integrated likelihood" of BMAR, marginal of Sigc and A
% 
% See:
% Chan, J.C.C. and Qi, Y. (2025). Large Bayesian Matrix Autoregressions, 
% Journal of Econometrics, forthcoming

function lden = intlike_BMAR(Sigr,KB,Schat,Hyper,T) 
    k = size(Schat,1); 
    n = size(Hyper.Sr,1); 
    lden = -n*k*T/2*log(pi) -T*k/2*ldet(Sigr) -k/2*(sum(log(Hyper.VB)) + ldet(KB)) ...
        +Hyper.nuc/2*ldet(Hyper.Sc) -(Hyper.nuc+T*n)/2*ldet(Schat) ...
        +mgammaln(k,(Hyper.nuc+T*n)/2) -mgammaln(k,Hyper.nuc/2);
end