% This function evaluates the log determinant
%
% See:
% Chan, J.C.C. and Qi, Y. (2025). Large Bayesian Matrix Autoregressions, 
% Journal of Econometrics, forthcoming
function k = ldet(Omega)
    k = 2*sum(log(diag(chol(Omega,'lower'))));
end