
% This function evaluates the pdf of the generalized inverse Gaussian
% distribution
% See:
% Chan, J.C.C. and Qi, Y. (2025). Large Bayesian Matrix Autoregressions, 
% Journal of Econometrics, forthcoming

function lden = lgigpdf(x,p,a,b)
lker = @(z) (p-1)*log(z) -(a*z+b./z)/2;
lbess = log(besselk(p,sqrt(a*b)));
c = p/2*log(a/b) -log(2) -lbess;
lden = c + lker(x);
end