% This function samples an inverse-Wishart random matrix with the (1,1) element set to be 1 
% using the algorithm of Nobile (2000)
%
% See:
% Chan, J.C.C. and Qi, Y. (2025). Large Bayesian Matrix Autoregressions, 
% Journal of Econometrics, forthcoming

function Sig=nobile_iwishart(n,v,S)
        Delta=zeros(n,n);
        S_temp=trans_S(S);% exchange row/column 1 and n in the matrix Sr_hat
        iS_temp=S_temp\speye(n);
        Lis=chol(iS_temp,"lower");
        iLis=Lis\speye(n);
        nur_temp=v+1-[1:n];
        Delta(1:n+1:end) = sqrt(chi2rnd(nur_temp));
        Delta(n,n)=1/Lis(n,n);
        idx = tril(true(size(Delta)), -1); % # Lower triangular half
        Delta(idx) = randn(0.5*n*(n-1),1);
        iDelta=Delta\speye(n);
        Sig_temp= iLis'*iDelta'*iDelta*iLis;
        Sig=trans_S(Sig_temp); % exchange row/column 1 and n again in the draw Sigr 
    end
    
 