if strcmp(model,'BMAR-CSV')
    tID = (1993:.25:2023)';    
    figure;
    tmp = sqrt(store_omega);
    csv_mean = squeeze(mean(tmp))';
    csv_16 = squeeze(quantile(tmp,.16,1))';
    csv_84 = squeeze(quantile(tmp,.84,1))';
    plotx2([csv_mean, csv_16, csv_84],tID'); box off;
    title("$e^{\frac{h_t}{2}}$", Interpreter="latex",FontSize=12);
    xlim([min(tID)-.5, max(tID)+.5]);   

elseif strcmp(model,'BMAR-O')
    tID = (1993:.25:2023)'; 
    figure;
    tmp = sqrt(store_omega);
    o_mean = squeeze(mean(tmp))';
    o_16 = squeeze(quantile(tmp,.16,1))';
    o_84 = squeeze(quantile(tmp,.84,1))';
    plotx2([o_mean, o_16, o_84],tID'); box off;
    title("$o_t$", Interpreter="latex",FontSize=12);
    xlim([min(tID)-.5, max(tID)+.5]);  
elseif strcmp(model,'BMAR-t')
    fprintf('The posterior mean of the df parameter nu: %.1f \n', theta_mean);
elseif strcmp(model,'BMAR-FSV')
    tID = (1993:.25:2023)';    
    figure;
    tmp = exp(store_h(:,:,n*k+1:end)/2);
    fsv_mean = squeeze(mean(tmp));
    for i=1:r
        subplot(r,1,i); plot(tID,fsv_mean(:,i)); box off;
        xlim([min(tID)-.5, max(tID)+.5]);  
    end    
    title("$e^{h_{nk+i,t}/2}$", Interpreter="latex",FontSize=12);
end

% plot B
figure;
statevar = {'AL', 'AK', 'AZ', 'AR', 'CA', 'CO', 'CT', 'DE', 'FL', 'GA', 'HI',...
    'ID', 'IL', 'IN', 'IA', 'KS', 'KY', 'LA', 'ME', 'MD', 'MA', 'MI', ...
    'MN', 'MS', 'MO', 'MT', 'NE', 'NV', 'NH', 'NJ', 'NM', 'NY', 'NC', ...
    'ND', 'OH', 'OK', 'OR', 'PA', 'RI', 'SC', 'SD', 'TN', 'TX', 'UT', ...
    'VT', 'VA', 'WA', 'WV', 'WI', 'WY'};
emvar = cell(1,k);
hm1 = heatmap(B_mean(1:k,:)');
% hm1 = heatmap(B_mean(k+1:end,:)');
hm1.XDisplayLabels = statevar;
hm1.Title = 'B_1';
hm1.YDisplayLabels = statevar;
maxabs = max(abs(hm1.ColorLimits));
set(hm1, 'ColorLimits', [-maxabs, maxabs])
colormap(redblue);

% plot A
yvar = {'Initial claims','Continued claims','Nonfarm payroll',...
    'Unrate','Permits','House price'};
emvar = cell(1,n); emvar(:) = {''};
fig = figure();
tcl = tiledlayout(fig,1,2);
hm1 = gobjects(2,1);
for i = 1:2
    ax = nexttile(tcl);
    hm1(i) = heatmap(A_mean((i-1)*n+1:i*n,:)','ColorbarVisible','off');
    hm1(i).XDisplayLabels = yvar;
    hm1(i).Title = ['A_' num2str(i)];
    if i==1
        hm1(i).YDisplayLabels = yvar;
    elseif i==2

        hm1(i).YDisplayLabels = emvar;
    end

end
% Equate color limits in all heatmaps
colorLims = vertcat(hm1.ColorLimits);
maxabs = max(abs(min(colorLims(:,1))),abs(max(colorLims(:,2))));
% globalColorLim = [min(colorLims(:,1)), max(colorLims(:,2))];
globalColorLim = [-maxabs, maxabs];
set(hm1, 'ColorLimits', globalColorLim)
% Create global colorbar that uses the global color limits
ax = axes(tcl,'visible','off','Colormap',hm1(1).Colormap,'CLim',globalColorLim);
cb = colorbar(ax);
cb.Layout.Tile = 'East';
colormap(redblue);
